travis: Build OpenSSL 1.1.1 without compatibility layer for older versions
authorTobias Brunner <tobias@strongswan.org>
Tue, 7 May 2019 09:28:29 +0000 (11:28 +0200)
committerTobias Brunner <tobias@strongswan.org>
Wed, 8 May 2019 12:27:19 +0000 (14:27 +0200)
Configuring 1.1.1 is not actually possible with 1.1.1b, not sure if
that's on purpose.

scripts/test.sh

index 5fbbd6d..ba5fd6d 100755 (executable)
@@ -94,7 +94,8 @@ build_openssl()
        SSL_SRC=https://www.openssl.org/source/$SSL_PKG.tar.gz
        SSL_INS=/usr/local/ssl
        SSL_OPT="shared no-tls no-dtls no-ssl3 no-zlib no-comp no-idea no-psk no-srp
-                        no-stdio no-tests enable-rfc3779 enable-ec_nistp_64_gcc_128"
+                        no-stdio no-tests enable-rfc3779 enable-ec_nistp_64_gcc_128
+                        --api=1.1.0"
 
        if test -d "$SSL_DIR"; then
                return